Subject: Re: [PATCH net-next v5] net: sfp: extend SMBus support

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 18 Jan 2026 10:08:12 +0000

On Sun, Jan 18, 2026 at 10:43:12AM +0100, Jonas Jelonek wrote:
> Looking at the SFP MSA [1], some sentences sound like one could assume
> byte access is needed at least for SFP. In Section B4, there are statements
> like:
> - "The memories are organized as a series of 8-bit data words that can be
>     addressed individually..."
> - "...provides sequential or random access to 8 bit parameters..."
> - "The protocol ... sequentially transmits one or more 8-bit bytes..."
> 
> But that may be too vague and I can't judge if that's a valid argument to not
> care about word-only here.

There's a whole bunch of documents. You also need to look at SFF-8472.
This contains the following paragraph:

 To guarantee coherency of the diagnostic monitoring data, the host is
 required to retrieve any multi-byte fields from the diagnostic
 monitoring data structure (e.g. Rx Power MSB - byte 104 in A2h, Rx
 Power LSB - byte 105 in A2h) by the use of a single two-byte read
 sequence across the 2-wire interface.

Hence why we don't allow hwmon when only byte accesses are available.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!